Subject: Re: linux-next: build warning after merge of the wireless-drivers-next tree

From: Kalle Valo <[email-masked]>
Date: Thu, 24 Jun 2021 08:49:51 +0300

Stephen Rothwell <[email-masked]> writes:

> After merging the wireless-drivers-next tree, today's linux-next build
> (x86_64 allmodconfig) produced this warning:
>
> drivers/net/wireless/intel/iwlwifi/fw/acpi.c:720:12: warning: 'iwl_acpi_eval_dsm_func' defined but not used [-Wunused-function]
>   720 | static u32 iwl_acpi_eval_dsm_func(struct device *dev, enum iwl_dsm_funcs_rev_0 eval_func)
>       |            ^~~~~~~~~~~~~~~~~~~~~~
>
> Introduced by commit
>
>   7119f02b5d34 ("iwlwifi: mvm: support BIOS enable/disable for 11ax in Russia")

Thanks for the report, I missed the warning as I had CONFIG_ACPI disabled in my
build tests. I enabled it now and sent a fix:

https://patchwork.kernel.org/project/linux-wireless/patch/[email-masked]/

Luca, please review. I also assigned it to me on patchwork and planning
to apply it directly to wireless-drivers-next.

-- 
https://patchwork.kernel.org/project/linux-wireless/list/

https://wireless.wiki.kernel.org/en/developers/documentation/submittingpatches